View Single Post
Old 07 April 2016, 05:26   #9
Registered User
Join Date: Sep 2007
Location: Stockholm
Posts: 1,336
An inlay in the Archon game packaging says that "This product requires Kickstart version 1.1, which is scheduled for release by Commodore Amiga in November, 1985. See your dealer for availability."
idrougge is offline  
Page generated in 0.05739 seconds with 9 queries